Package com.verisign.epp.serverstub

## Class HttpServer

- java.lang.Object
- - com.verisign.epp.serverstub.HttpServer

-     public class HttpServer
      extends java.lang.Object

  EPP over HTTP (EoH) Stub Server main class that uses the embedded Tomcat server.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpServer​(java.lang.String aConfigFile)` | Initialize using the EPPEnv class and the epp.config file

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `initializeDispatcher()` | Initializes `Server`'s dispatcher to handle the commmands defined by the supported EPP mappings.
    `void` | `initializePollQueue()` | Initialize the poll handler based on the EPP.PollHandlers,
    `static void` | `main​(java.lang.String[] args)` | Runs the Server

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpServer

          public HttpServer​(java.lang.String aConfigFile)

      Initialize using the EPPEnv class and the epp.config file
      Parameters:
        `aConfigFile` - EPP configuration file to use to initialize the EPP SDK

  - ### Method Detail

    - #### initializePollQueue

          public void initializePollQueue()

      Initialize the poll handler based on the EPP.PollHandlers,

    - #### initializeDispatcher

          public void initializeDispatcher()

      Initializes `Server`'s dispatcher to handle the commmands defined by the supported EPP mappings. At this Point we also get the list of Command Response extensions class names from the epp.config file and add the CommandResponseextension classes to the EPPExtFaactory

    - #### main

          public static void main​(java.lang.String[] args)

      Runs the Server
      Parameters:
        `args` - The command line argument should be the epp.config file